Bug 32661 - Use template wrapper for invoices page tabs
Summary: Use template wrapper for invoices page tabs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 32571
Blocks:
  Show dependency treegraph
 
Reported: 2023-01-17 20:19 UTC by Owen Leonard
Modified: 2023-02-15 21:35 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.03


Attachments
Bug 32661: Use template wrapper for invoices page tabs (3.96 KB, patch)
2023-01-17 20:40 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32661: (follow-up) Use more unique variable name to avoid collisions (1.68 KB, patch)
2023-01-20 16:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 32661: Use template wrapper for invoices page tabs (4.01 KB, patch)
2023-01-28 20:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 32661: (follow-up) Use more unique variable name to avoid collisions (1.72 KB, patch)
2023-01-28 20:34 UTC, David Nind
Details | Diff | Splinter Review
Bug 32661: Use template wrapper for invoices page tabs (4.06 KB, patch)
2023-02-05 12:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 32661: (follow-up) Use more unique variable name to avoid collisions (1.78 KB, patch)
2023-02-05 12:49 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2023-01-17 20:19:16 UTC
Continuing the work of Bug 32571, the invoices template should be revised to use the new WRAPPER for tabs.
Comment 1 Owen Leonard 2023-01-17 20:40:12 UTC
Created attachment 145372 [details] [review]
Bug 32661: Use template wrapper for invoices page tabs

This patch implements the template WRAPPER system (see Bug 32571) for
building tabs on the invoices page.

To test you must have at least one open invoice and one closed invoice.

- Go to Acquisitions -> Invoices.
- You should see two tabs, "Open invoices" and "Closed invoices."
- The tabs should look correct and work correctly.
Comment 2 Owen Leonard 2023-01-20 16:30:49 UTC
Created attachment 145539 [details] [review]
Bug 32661: (follow-up) Use more unique variable name to avoid collisions
Comment 3 David Nind 2023-01-28 20:34:10 UTC
Created attachment 145792 [details] [review]
Bug 32661: Use template wrapper for invoices page tabs

This patch implements the template WRAPPER system (see Bug 32571) for
building tabs on the invoices page.

To test you must have at least one open invoice and one closed invoice.

- Go to Acquisitions -> Invoices.
- You should see two tabs, "Open invoices" and "Closed invoices."
- The tabs should look correct and work correctly.

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2023-01-28 20:34:15 UTC
Created attachment 145793 [details] [review]
Bug 32661: (follow-up) Use more unique variable name to avoid collisions

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2023-02-05 12:49:03 UTC
Created attachment 146206 [details] [review]
Bug 32661: Use template wrapper for invoices page tabs

This patch implements the template WRAPPER system (see Bug 32571) for
building tabs on the invoices page.

To test you must have at least one open invoice and one closed invoice.

- Go to Acquisitions -> Invoices.
- You should see two tabs, "Open invoices" and "Closed invoices."
- The tabs should look correct and work correctly.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2023-02-05 12:49:07 UTC
Created attachment 146207 [details] [review]
Bug 32661: (follow-up) Use more unique variable name to avoid collisions

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Tomás Cohen Arazi 2023-02-07 18:29:52 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 8 Jacob O'Mara 2023-02-08 16:53:34 UTC
Nice work, thanks everyone!

Pushed to 22.11.x for the next release.